# $Revision: 1.200.2.13.2.1 $, $Date: 2008/09/30 15:10:48 $
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
%bcond_without	static_libs	# don't build static library
#
Summary:	The Gimp Toolkit
Summary(cs):	Sada nstroj pro Gimp
Summary(de):	Der Gimp-Toolkit
Summary(fi):	Gimp-tykalukokoelma
Summary(fr):	Le toolkit de Gimp
Summary(it):	Il toolkit per Gimp
Summary(pl):	Gimp Toolkit
Summary(tr):	Gimp ToolKit arayz kitapl
Name:		gtk+2
Version:	2.8.20
Release:	7
Epoch:		2
License:	LGPL
Group:		X11/Libraries
Source0:	ftp://ftp.gtk.org/pub/gtk/v2.8/gtk+-%{version}.tar.bz2
# Source0-md5:	74e7ca98194f1fadfe906e66d763d05d
Patch0:		%{name}-insensitive-iain.patch
Patch1:		%{name}-tree_selection_emit_changed.patch
Patch2:		%{name}-arch_confdir.patch
URL:		http://www.gtk.org/
BuildRequires:	X11-devel >= 1:6.8.0
BuildRequires:	atk-devel >= 1.8.0
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake >= 1:1.7
BuildRequires:	cairo-devel >= 1.0.4
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.10.3
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.0}
BuildRequires:	gtk-doc-automake >= 1.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libxml2-progs
BuildRequires:	libxslt-progs
BuildRequires:	pango-devel >= 1:1.10.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	xcursor-devel
Requires(post,postun):	/sbin/ldconfig
Requires:	atk >= 1.11.4
Requires:	cairo >= 1.0.4
Requires:	glib2 >= 1:2.10.3
Requires:	pango >= 1:1.12.3
Obsoletes:	gtk2
Conflicts:	gtk2-engines < 1:2.2.0-6
# autopanog.exe crashes with gtk+2 2.8.x and libgdiplus 1.1.8
Conflicts:	libgdiplus < 1.1.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if "%{_lib}" != "lib"
%define		libext		%(lib="%{_lib}"; echo ${lib#lib})
%define		_sysconfdir	/etc/gtk%{libext}-2.0
%define		pqext		-%{libext}
%else
%define		_sysconfdir	/etc/gtk-2.0
%define		pqext		%{nil}
%endif

%description
GTK+, which stands for the Gimp ToolKit, is a library for creating
graphical user interfaces for the X Window System. It is designed to
be small, efficient, and flexible. GTK+ is written in C with a very
object-oriented approach. GDK (part of GTK+) is a drawing toolkit
which provides a thin layer over Xlib to help automate things like
dealing with different color depths, and GTK is a widget set for
creating user interfaces.

%description -l cs
Knihovny X pvodn psan pro GIMP, kter nyn pouv tak ada jinch
program.

%description -l da
X biblioteker, oprindeligt udviklet til GIMP, men anvendes nu af flere
forskellige programmer.

%description -l de
Die X-Libraries, die ursprnglich fr GIMP geschrieben wurden und
mittlerweile fr eine ganze Reihe anderer Programme benutzt werden.

%description -l fr
X-kirjastot, jotka alunperin kirjoitettiin GIMP:lle, mutta joita
kytetn nyt mys useissa muissakin ohjelmissa.

%description -l it
Libreria X scritta per GIMP. Viene usata da diversi programmi.

%description -l pl
GTK+, ktra to biblioteka staa si podstaw programu Gimp zawiera
funkcje do tworzenia graficznego interfejsu uytkownika pod X Window.
Bya tworzona z zaoeniem eby bya maa, efektywna i wygodna. GTK+
jest napisane w C z podejciem zorientowanym bardzo obiektowo. GDK
(cz GTK+) jest warstw poredni pomidzy Xlib a waciwym GTK
zapewniajc prac niezalenie od gbi koloru (iloci bitw na
piksel). GTK (druga cz GTK+) jest natomiast ju zbiorem rnego
rodzaju kontrolek sucych do tworzenia interfejsu uytkownika.

%description -l tr
Balangta GIMP iin yazlm X kitaplklar. u anda baka
programlarca da kullanlmaktadr.

%package devel
Summary:	GTK+ header files and development documentation
Summary(cs):	Sada nstroj GIMP a kreslc kit GIMP
Summary(da):	GIMP Toolkit og GIMP Tegnings-vrktj
Summary(de):	GIMP Toolkit und GIMP Drawing Kit
Summary(fi):	Gimp-tykalukokoelma ja Gimp-piirtotykalut
Summary(fr):	Toolkit de GIMP (GTK) et Kit de dessin de GIMP (GDK)
Summary(it):	GIMP Toolkit and GIMP Drawing Kit
Summary(pl):	Pliki nagwkowe i dokumentacja do GTK+
Summary(tr):	GIMP ara takm ve izim takm
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	X11-devel >= 1:6.8.0
Requires:	atk-devel >= 1.11.4
Requires:	glib2-devel >= 1:2.10.3
Requires:	gtk-doc-common
Requires:	pango-devel >= 1:1.10.0
Requires:	xcursor-devel
Obsoletes:	gtk2-devel

%description devel
Header files and development documentation for the GTK+ libraries.

%description devel -l pl
Pliki nagwkowe i dokumentacja do bibliotek GTK+.

%package static
Summary:	GTK+ static libraries
Summary(pl):	Biblioteki statyczne GTK+
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
GTK+ static libraries.

%description static -l pl
Biblioteki statyczne GTK+

%package apidocs
Summary:	GTK+ API documentation
Summary(pl):	Dokumentacja API GTK+
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GTK+ API documentation.

%description apidocs -l pl
Dokumentacja API GTK+.

%package examples
Summary:	GTK+ - example programs
Summary(pl):	GTK+ - programy przykadowe
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description examples
GTK+ - example programs.

%description examples -l pl
GTK+ - przykadowe programy.

%prep
%setup -q -n gtk+-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__glib_gettextize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{?debug:--enable-debug=yes} \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--enable-man \
	--enable-shm \
	--%{?with_static_libs:en}%{!?with_static_libs:dis}able-static \
	--with-gdktarget=x11 \
	%{?with_apidocs:--with-html-dir=%{_gtkdocdir}} \
	--with-xinput=yes
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_sysconfdir}} \
	$RPM_BUILD_ROOT%{_libdir}/gtk-2.0/2.4.0/filesystems

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

touch $RPM_BUILD_ROOT%{_sysconfdir}/gdk-pixbuf.loaders
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk.immodules

cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# remove unsupported locale scheme
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/en@IPA
# shut up check-files (static modules and *.la for modules)
rm -rf $RPM_BUILD_ROOT%{_libdir}/gtk-*/2.*/*/*.{a,la}

%if "%{_lib}" != "lib"
# We need to have 32-bit and 64-bit binaries as they have hardcoded LIBDIR.
# (needed when multilib is used)
mv $RPM_BUILD_ROOT%{_bindir}/gdk-pixbuf-query-loaders{,%{pqext}}
mv $RPM_BUILD_ROOT%{_bindir}/gtk-query-immodules-2.0{,%{pqext}}
%endif

# for various GTK+2 modules
install -d $(echo $RPM_BUILD_ROOT%{_libdir}/gtk-*)/modules
# for GTK+2 theme engines
install -d $(echo $RPM_BUILD_ROOT%{_libdir}/gtk-*/2.*)/engines

rm -r $RPM_BUILD_ROOT%{_datadir}/locale/no

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
umask 022
%{_bindir}/gdk-pixbuf-query-loaders%{pqext} > %{_sysconfdir}/gdk-pixbuf.loaders
%{_bindir}/gtk-query-immodules-2.0%{pqext} > %{_sysconfdir}/gtk.immodules
exit 0

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	umask 022
	%{_bindir}/gdk-pixbuf-query-loaders%{pqext} > %{_sysconfdir}/gdk-pixbuf.loaders
	%{_bindir}/gtk-query-immodules-2.0%{pqext} > %{_sysconfdir}/gtk.immodules
fi
exit 0

%triggerpostun -- gtk+2 < 2:2.4.0
umask 022
%{_bindir}/gdk-pixbuf-query-loaders%{pqext} > %{_sysconfdir}/gdk-pixbuf.loaders
%{_bindir}/gtk-query-immodules-2.0%{pqext} > %{_sysconfdir}/gtk.immodules
exit 0

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/gtk-demo
%attr(755,root,root) %{_bindir}/gtk-query*
%attr(755,root,root) %{_bindir}/gtk-update-icon-cache
%attr(755,root,root) %{_bindir}/gdk-pixbuf-query-loaders%{pqext}
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_libdir}/gtk-*
%dir %{_libdir}/gtk-*/modules
%dir %{_libdir}/gtk-*/2.*
%dir %{_libdir}/gtk-*/2.*/engines
%attr(755,root,root) %{_libdir}/gtk-*/2.*/engines/libpixmap.so
%dir %{_libdir}/gtk-*/2.*/filesystems
%dir %{_libdir}/gtk-*/2.*/loaders
%attr(755,root,root) %{_libdir}/gtk-*/2.*/loaders/*.so
%dir %{_libdir}/gtk-*/2.*/immodules
%attr(755,root,root) %{_libdir}/gtk-*/2.*/immodules/*.so
%{_datadir}/gtk-*
%dir %{_sysconfdir}
%ghost %{_sysconfdir}/*
%dir %{_datadir}/themes/Default/gtk-*
%{_datadir}/themes/Default/gtk-*/gtkrc
%dir %{_datadir}/themes/Emacs
%dir %{_datadir}/themes/Emacs/gtk-*
%{_datadir}/themes/Emacs/gtk-*/gtkrc
%dir %{_datadir}/themes/Raleigh
%dir %{_datadir}/themes/Raleigh/gtk-*
%{_datadir}/themes/Raleigh/gtk-*/gtkrc

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/*csource
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*.m4
%{_libdir}/gtk-*/include
%{_pkgconfigdir}/*.pc
%{_mandir}/man1/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/*
%endif

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gtk+2.spec,v $
Revision 1.200.2.13.2.1  2008/09/30 15:10:48  glen
- release 7

Revision 1.200.2.13  2008/03/19 15:33:52  glen
- use /etc/gtk64-2.0 for lib64 arches

Revision 1.200.2.12  2008-03-19 15:02:56  glen
- simplified and sane arch confdir based on pango; rel 4

Revision 1.200.2.11  2007-10-22 12:17:27  glen
- fix typo in postun; rel 3

Revision 1.200.2.10  2007/10/20 16:09:17  glen
- rel 2 to rebuild with pango; enabled archconfidir

Revision 1.200.2.9  2006/07/02 19:20:46  freetz
- 2.8.20

Revision 1.200.2.8  2006/06/12 19:50:40  freetz
- 2.8.19

Revision 1.200.2.7  2006/05/31 19:13:18  freetz
- 2.8.18, GNOME 2.14.2 deps

Revision 1.200.2.6  2006/05/14 20:35:04  baggins
- up to 2.8.17

Revision 1.200.2.5  2006/02/22 02:21:23  charles
- cosmetics (rm trailing white spaces)

Revision 1.200.2.4  2006/02/21 20:00:57  sparky
- added architecture-dependant config dir support, bconded, default off
  (now I can use both 32 and 64 bit gtk on my amd64)

Revision 1.200.2.3  2006/02/20 06:24:05  charles
- added -tree_selection_emit_changed.patch (emit tree_selection_signals[CHANGED]
  from gtk_tree_view_set_model only if tree_view is realized). VMware works again.

Revision 1.200.2.2  2006/02/12 10:19:18  freetz
- 2.8.12, cairo workaround already included

Revision 1.200.2.1  2006/02/08 15:23:41  freetz
- cairo workaround stolen from HEAD, rel.2

Revision 1.200  2006/01/27 23:13:19  freetz
- 2.8.11

Revision 1.199  2006/01/27 14:52:22  arekm
- rel 3; add missing epoch in R

Revision 1.198  2006/01/21 00:01:16  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.197  2006/01/18 15:52:44  freetz
- apidocs, examples subpkgs, rel.2 for rebuild with glib 2.9.3

Revision 1.196  2006/01/15 09:31:41  freetz
- 2.8.10, BR/R glib-2.8.5

Revision 1.195  2005/12/15 16:00:18  freetz
- rel.2

Revision 1.194  2005/12/11 15:33:13  qrczak
- gtk+2-pl.po.patch: "progress bar label|" prefix should be stripped
  in translation.

Revision 1.193  2005/12/10 11:56:28  freetz
- 2.8.9

Revision 1.192  2005/11/28 19:31:45  freetz
- 2.8.8

Revision 1.191  2005/11/15 20:28:21  freetz
- 2.8.7

Revision 1.190  2005/10/04 18:22:20  freetz
- 2.8.6

Revision 1.189  2005/09/28 17:59:34  arekm
- up to 2.8.4

Revision 1.188  2005/09/23 12:10:44  djurban
- s/static/static_libs/ in %coonigure, cookie goes to sparky

Revision 1.187  2005/09/23 12:08:50  djurban
- no more gtk-doc BUAHAHAHAHA

Revision 1.186  2005/09/23 11:34:09  djurban
- gtkdocsize bconded, without it gtk-doc is required even when building without apidocs

Revision 1.185  2005/09/23 11:28:38  djurban
- bcond corrections

Revision 1.184  2005/09/13 16:22:20  qboosh
- Conflicts: libgdiplus < 1.1.9

Revision 1.183  2005/08/30 18:35:14  arekm
- merged from DEVEL

Revision 1.182  2005/08/28 19:23:03  qboosh
- updated to 2.6.10
- removed obsolete bug312710 patch (alternative fix included)

Revision 1.181  2005/08/08 21:54:24  freetz
- http://bugzilla.gnome.org/show_bug.cgi?id=312710, rel.2

Revision 1.180  2005/08/01 22:27:41  freetz
- 2.6.9

Revision 1.179.2.11  2005/08/30 07:49:14  aflinta
- 2.8.3

Revision 1.179.2.10  2005/08/24 19:01:00  aflinta
- 2.8.2

Revision 1.179.2.9  2005/08/24 08:00:08  aflinta
- 2.8.1

Revision 1.179.2.8  2005/08/17 20:18:52  aflinta
- require official releases

Revision 1.179.2.7  2005/08/17 10:07:26  jpc
- add a ptch from Gtk+2 CVS fixing the annoying
  warning about pixmap colormaps.

Revision 1.179.2.6  2005/08/14 00:17:57  freetz
- 2.8.0

Revision 1.179.2.5  2005/08/03 21:50:19  aflinta
- up to version 2.7.5

Revision 1.179.2.4  2005/07/23 11:07:58  freetz
- 2.7.4, pango cvs HEAD required

Revision 1.179.2.3  2005/07/21 08:24:10  freetz
- 2.7.3, cairo >= 0.5.2 required

Revision 1.179.2.2  2005/07/10 17:39:53  freetz
- 2.7.2

Revision 1.179.2.1  2005/07/02 20:38:24  freetz
- 2.7.1, dropped menushadow patch (use composite ext instead if you want),
  use ftp.gtk.org

Revision 1.179  2005/06/16 18:54:38  freetz
- typo

Revision 1.178  2005/06/16 17:35:44  witekfl
- added bcond_without static_libs

Revision 1.177  2005/06/16 10:23:57  freetz
- 2.6.8

Revision 1.176  2005/04/14 06:14:01  ankry
- spaces -> tabs

Revision 1.175  2005/04/13 08:11:13  freetz
- 2.6.7, ready for STBR

Revision 1.174  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.173  2005/04/11 11:59:21  freetz
- 2.6.6, removed gtkimage patch (already included)

Revision 1.172  2005/04/10 17:49:15  freetz
- added gtkimage patch (#169870), rel.2, upgrade recommended

Revision 1.171  2005/04/10 15:33:21  freetz
- 2.6.5, added menushadow bcond, new style macros, removed redundant
  configure options, corrected bogus debug option (removed debug: minimum,
  it's default option), removed bogus debug bcond

Revision 1.170  2005/03/01 21:03:51  aflinta
- up to version 2.6.4

Revision 1.169  2005/02/28 18:37:21  paladine
- updated to 2.6.3

Revision 1.168  2005/02/04 22:22:09  grzegol
- updated to 2.6.2

Revision 1.167  2005/01/12 09:39:25  qboosh
- BR+R X11-devel >= 6.8.0 (uses libXfixes - there is no runtime choice now)

Revision 1.166  2005/01/11 19:27:33  qboosh
- Conflicts: gtk2-engines < 1:2.2.0-6 (libpixmap engine moved here); release 2

Revision 1.165  2005/01/09 22:51:05  aflinta
- up to version 2.6.1 - bugfix release

Revision 1.164  2004/12/25 18:04:56  qboosh
- automake epoch

Revision 1.163  2004/12/22 10:10:21  aflinta
 - fixed bug #161886
 - release 4

Revision 1.162  2004/12/21 09:49:32  aflinta
 - fixed bugs #161720, #161789, #161707, #161604, #161646
 - release 3

Revision 1.161  2004/12/20 13:55:02  aflinta
- remove obsolete patch

Revision 1.160  2004/12/19 14:51:20  aflinta
- don't remove no locale twice

Revision 1.159  2004/12/19 09:30:05  aflinta
 - merged from DEVEL
 - release 2 for easy upgrade from DEVEL versions

Revision 1.132.2.11  2004/12/19 00:50:07  krzak
- add engines/libpixmap.so

Revision 1.132.2.10  2004/12/18 21:38:28  aflinta
- fixed locale issue

Revision 1.132.2.9  2004/12/17 08:59:17  krzak
- up to 2.6.0

Revision 1.132.2.8  2004/11/12 19:57:36  paladine
- updated to 2.5.5

Revision 1.132.2.7  2004/11/10 20:39:15  grzegol
- added %%{_libdir}/gtk-2.0/2.4.0/filesystems dir (merged from HEAD)

Revision 1.132.2.6  2004/11/01 20:20:45  grzegol
- updated to 2.5.4

Revision 1.132.2.5  2004/09/19 13:46:35  grzegol
- updated to 2.5.3

Revision 1.132.2.4  2004/08/27 22:40:05  grzegol
- iconv dependency moved from gtk+2 to glib2 (change merged from HEAD)

Revision 1.132.2.3  2004/08/25 21:01:10  grzegol
- updated to 2.5.2

Revision 1.132.2.2  2004/08/01 14:25:38  grzegol
- updated to 2.5.1

Revision 1.132.2.1  2004/07/20 19:29:12  grzegol
- updated to 2.5.0

Revision 1.158  2004/12/03 10:16:34  ankry
- md5 !!!

Revision 1.157  2004/12/03 09:57:46  paladine
- updated to 2.4.14
- dropped filechooser patch (already in sources)
- STBR

Revision 1.156  2004/11/27 15:16:08  freetz
- http://bugzilla.gnome.org/show_bug.cgi?id=155744 (filechooser performance
  improvement), rel. 4

Revision 1.155  2004/11/26 18:48:16  wolf
- cut changelog

Revision 1.154  2004/11/17 10:11:43  krzak
- %bcond_with     debug

Revision 1.153  2004/11/09 23:53:45  ankry
- really added dir, rel. 3

Revision 1.152  2004/11/09 21:33:10  ankry
- add orphaned dir here

Revision 1.151  2004/10/30 11:38:56  qboosh
- too much

Revision 1.150  2004/10/28 09:58:31  paladine
- "GTK+" unification (hope thats all)

Revision 1.149  2004/10/27 08:36:11  qboosh
- CAN-2004-0782 CAN-2004-0783 fixed since 2.4.10 - removed outdated note

Revision 1.148  2004/10/26 11:54:05  qboosh
- use rpmbuild(macros) deps for _gtkdocdir

Revision 1.147  2004/10/25 08:49:33  paladine
- [Gg]tk+ -> GTK+

Revision 1.146  2004/10/24 12:49:01  freetz
- menu shadow is back (incidentally commented out), rel.2, STBR

Revision 1.145  2004/10/12 22:37:02  freetz
- changelog typo

Revision 1.144  2004/10/12 22:20:51  freetz
- 2.4.13 - looks like gtk+ team has a good time with releasing new gtk
  every 5 minutes: don't send it to builders yet ;)

Revision 1.143  2004/10/12 18:52:30  freetz
- 2.4.12 with fixed bug #155139

Revision 1.142  2004/10/09 10:09:50  freetz
- 2.4.11, dropped locale patch

Revision 1.141  2004/09/19 09:50:18  aflinta
- up to version 2.4.10

Revision 1.140  2004/09/16 10:51:02  qboosh
- security note (for 2.4.4, but I don't see any xpm fixes in ChangeLog)

Revision 1.139  2004/08/27 19:01:40  qboosh
- iconv dependency moved from gtk+2 to glib2

Revision 1.138  2004/08/25 19:53:12  aflinta
- up to version 2.4.9

Revision 1.137  2004/08/17 12:14:17  ankry
- one more epoch

Revision 1.136  2004/08/17 12:12:41  ankry
- added pango epoch to R:/BR:

Revision 1.135  2004/08/16 21:43:25  aflinta
- readded locale-names.patch, killed no translation (nb is included), release 2

Revision 1.134  2004/08/14 21:19:08  aflinta
- up to version 2.4.7

Revision 1.133  2004/08/13 20:55:32  aflinta
- up to version 2.4.6, removed obsoleted locale patch

Revision 1.132  2004/07/11 07:17:10  grzegol
- updated to 2.4.4

Revision 1.131  2004/07/09 22:46:54  jpc
- maybe it was not a good idea
  removed the patch

Revision 1.130  2004/07/09 19:15:51  jpc
- new exportsymbols patch (based on sth. from ximian)

Revision 1.129  2004/07/05 00:31:56  jpc
- --with xlibs BR: libXi-devel

Revision 1.128  2004/07/05 00:13:08  jpc
- xlibs patch + bcond (for building on systems with xlibs)
- XFree86-devel (or libX11-devel) is R: by pango-devel
- cosmetics

Revision 1.127  2004/06/22 14:00:03  djurban
- without doc added

Revision 1.126  2004/06/11 15:53:10  grzegol
- updated to 2.4.3

Revision 1.125  2004/06/04 19:42:53  aflinta
- up to version 2.4.2

Revision 1.124  2004/05/01 08:12:18  krzak
- BR: glib2 >= 2.4.0

Revision 1.123  2004/04/30 20:42:31  grzegol
- updated to 2.4.1

Revision 1.122  2004/04/29 17:46:24  adgor
- Reverted

Revision 1.121  2004/04/29 17:19:00  adgor
- Added is_finished_loading.patch
- Release 4

Revision 1.120  2004/03/27 18:14:09  krzak
- rel 3

Revision 1.119  2004/03/27 17:07:00  qboosh
- uh, gtk+2 2.2.x were missing postun, so trigger is needed

Revision 1.118  2004/03/27 17:05:09  qboosh
- regenerate modules configs in postun too (to remove old paths on 2.2.x -> 2.4.0 upgrade)

Revision 1.117  2004/03/26 23:05:45  troll
- new pretty cool menu shadow patch

Revision 1.116  2004/03/23 22:56:02  arekm
- rel 2

Revision 1.115  2004/03/23 09:46:25  qboosh
- require proper atk/pango versions on install

Revision 1.114  2004/03/20 20:17:19  krzak
- 2.2.0-path-check.patch search for modules and engines
  in gtk-2.0/2.2.0 directory in addition to gtk-2.0/2.4.0
- rel 1.5

Revision 1.113  2004/03/19 11:19:33  qboosh
- cleanups, updated ac/am deps

Revision 1.112  2004/03/19 08:21:07  aflinta
- merged from DEVEL
